Don't use expired certificates if possible.
[openssl.git] / config
diff --git a/config b/config
index 851a161..c6488ee 100755 (executable)
--- a/config
+++ b/config
@@ -382,7 +382,7 @@ esac
 #
 
 # Do the Apollo stuff first. Here, we just simply assume
-# that the existance of the /usr/apollo directory is proof
+# that the existence of the /usr/apollo directory is proof
 # enough
 if [ -d /usr/apollo ]; then
     echo "whatever-apollo-whatever"
@@ -587,15 +587,33 @@ case "$GUESSOS" in
        fi
        ;;
   ppc64-*-linux2)
+       if [ -z "$KERNEL_BITS" ]; then
+           echo "WARNING! If you wish to build 64-bit library, then you have to"
+           echo "         invoke './Configure linux-ppc64' *manually*."
+           if [ "$TEST" = "false" -a -t 1 ]; then
+               echo "         You have about 5 seconds to press Ctrl-C to abort."
+               (trap "stty `stty -g`" 2 0; stty -icanon min 0 time 50; read waste) <&1
+           fi
+       fi
+       if [ "$KERNEL_BITS" = "64" ]; then
+           OUT="linux-ppc64"
+       else
+           OUT="linux-ppc"
+           (echo "__LP64__" | gcc -E -x c - 2>/dev/null | grep "^__LP64__" 2>&1 > /dev/null) || options="$options -m32"
+       fi
+       ;;
+  ppc64le-*-linux2) OUT="linux-ppc64le" ;;
+  ppc-*-linux2) OUT="linux-ppc" ;;
+  mips64*-*-linux2)
        echo "WARNING! If you wish to build 64-bit library, then you have to"
-       echo "         invoke './Configure linux-ppc64' *manually*."
+       echo "         invoke './Configure linux64-mips64' *manually*."
        if [ "$TEST" = "false" -a -t 1 ]; then
            echo "         You have about 5 seconds to press Ctrl-C to abort."
            (trap "stty `stty -g`" 2 0; stty -icanon min 0 time 50; read waste) <&1
        fi
-       OUT="linux-ppc"
+       OUT="linux-mips64"
        ;;
-  ppc-*-linux2) OUT="linux-ppc" ;;
+  mips*-*-linux2) OUT="linux-mips32" ;;
   ppc60x-*-vxworks*) OUT="vxworks-ppc60x" ;;
   ppcgen-*-vxworks*) OUT="vxworks-ppcgen" ;;
   pentium-*-vxworks*) OUT="vxworks-pentium" ;;
@@ -644,6 +662,7 @@ case "$GUESSOS" in
   armv[1-3]*-*-linux2) OUT="linux-generic32" ;;
   armv[7-9]*-*-linux2) OUT="linux-armv4"; options="$options -march=armv7-a" ;;
   arm*-*-linux2) OUT="linux-armv4" ;;
+  aarch64-*-linux2) OUT="linux-generic64" ;;
   sh*b-*-linux2) OUT="linux-generic32"; options="$options -DB_ENDIAN" ;;
   sh*-*-linux2)  OUT="linux-generic32"; options="$options -DL_ENDIAN" ;;
   m68k*-*-linux2) OUT="linux-generic32"; options="$options -DB_ENDIAN" ;;
@@ -739,7 +758,7 @@ case "$GUESSOS" in
                            libc=/usr/lib/libc.so
                        else                                    # OpenBSD
                            # ld searches for highest libc.so.* and so do we
-                           libc=`(ls /usr/lib/libc.so.* | tail -1) 2>/dev/null`
+                           libc=`(ls /usr/lib/libc.so.* /lib/libc.so.* | tail -1) 2>/dev/null`
                        fi
                        case "`(file -L $libc) 2>/dev/null`" in
                        *ELF*)  OUT="BSD-x86-elf" ;;
@@ -845,7 +864,7 @@ case "$GUESSOS" in
   *) OUT=`echo $GUESSOS | awk -F- '{print $3}'`;;
 esac
 
-# NB: This atalla support has been superceded by the ENGINE support
+# NB: This atalla support has been superseded by the ENGINE support
 # That contains its own header and definitions anyway. Support can
 # be enabled or disabled on any supported platform without external
 # headers, eg. by adding the "hw-atalla" switch to ./config or